Subject: Re: [PATCH] tg export: implement skipping empty patches for quilt mode

From: Uwe Kleine-König <[email-masked]>
Date: Wed, 26 Nov 2008 10:47:29 +0100

On Wed, Nov 26, 2008 at 10:25:42AM +0100, martin f krafft wrote:
> also sprach Uwe Kleine-König <[email-masked]> [2008.11.25.2154 +0100]:
> > 	TODO: -n option to prevent exporting of empty patches
> > 
> > I'm not sure if this was meant for collapse or quilt or both.  I assumed
> > the last and implemented -n as suggested.
> 
> Hm, except...
> 
> +! "$skipempty" || [ "$driver" = "quilt" ] ||
> +       die "-n is only implemented for the quilt driver"
> +
> 
> so you assumed "quilt", not both.
hmm, I *implemented* it only for quilt.  That's also the reason for not
having deleted the todo item.
 
> Anyway, Petr, I'd make this default for all drivers, unless you object.
Ack.

If you want I can prepare a patch, but probably it's easier for you to
amend!?

Best regards
Uwe